Bug 442316 - (esroderd) kswap use total amount of CPU, system turns slow
kswap use total amount of CPU, system turns slow
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
All Linux
low Severity high
: ---
: ---
Assigned To: Don Howard
Martin Jenner
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-14 05:52 EDT by Daniel Rodero
Modified: 2012-06-20 12:05 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:05:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Rodero 2008-04-14 05:52:53 EDT
Description of problem:

kswap process hungs. Kswap process use total amount CPU. System become 
unstable, apps hungs.

Version-Release number of selected component (if applicable):

RH2.1AS
2.4.9-e.35custom #3 SMP Thu Sep 2 11:51:12 CEST 2004 i686


How reproducible:

Doing a backup, processing parallel tar.

Steps to Reproduce:
- Start a full backup.
- run multiple tar of lots of files.

  
Actual results:

No idle CPU available. Server turns very slow.

TOP:

1:37pm  up 78 days, 20:42,  2 users,  load average: 5.03, 3.81, 3.92

702 processes: 698 sleeping, 4 running, 0 zombie, 0 stopped

CPU0 states:  4.3% user, 95.0% system,  0.0% nice,  0.0% idle

CPU1 states:  3.1% user, 96.2% system,  0.0% nice,  0.0% idle

Mem:  3863264K av, 3847672K used,   15592K free,    2172K shrd,  309080K buff

Swap: 2040244K av, 1436248K used,  603996K free     1912112K cached

 

  PID USER     PRI  NI  SIZE  RSS SHARE STAT %CPU %MEM   TIME COMMAND

    6 root      25   0     0    0     0 RW   75.5  0.0 526:15 kswapd

 3843 oracle    39   0  1904 1904   848 R    25.1  0.0   0:13 top

 3981 oracle    39   0  5548 4404  3804 R    23.1  0.1   0:03 opmn

 3987 oracle    39   0  1188 1184   552 R    20.8  0.0   0:00 ps

 9509 root      30   0  2356 1916  1520 S    10.7  0.0   3:06 vbda

 2842 root       0 -20  4612 4608  1960 S <   4.1  0.1  29:01 scopeux

31048 oracle    25   0 45280  38M 21724 S     2.2  1.0  20:58 emagent

 9473 root      16   0  2348 1920  1740 D     1.6  0.0   5:15 vbda

20197 oracle    18   0  169M  74M 76008 S     0.9  1.9   0:01 java



Anybody know how to Fix it? I have readed about it in 
https://bugzilla.redhat.com/show_bug.cgi?id=132639, but is a too old reference.

Thanks in advance.
Comment 1 Don Howard 2008-04-28 12:47:05 EDT
The current AS2.1 supported kernel is 2.4.9-e.72.  A number of vm-related bugs
have been fixed since -e.35.  Is this problem present in 2.4.9-e.72?
Comment 2 Don Howard 2008-06-25 14:17:50 EDT
Hi Daniel - 

I don't have enough info to go on and have not heard back from you.
I'm going to close this bug.  If you'd like to persue this further, please
re-open this bug, and open a case with redhat support at enterprise.redhat.com.

Thanks. 
Comment 3 Daniel Rodero 2008-06-30 06:36:32 EDT
What kind of info do you want to know?

When I begin a backup, machine turns very slow, and making a top, CPU usage is 
100%. Sometimes services, applications or all machine hungs.

Thanks in advance.

Daniel.
Comment 4 Daniel Rodero 2008-06-30 06:37:41 EDT
I have two identical machines, and both have same problem.
Comment 5 Don Howard 2008-06-30 15:34:28 EDT
Can you reproduce this problem on 2.4.9-e.72?   If so, can you provide sysrq-m
and sysrq-t output?
Comment 6 Daniel Rodero 2008-07-01 00:32:35 EDT
Then, Is the problem fixed in 2.4.9-e.72?
Or is this a test?
Comment 7 Don Howard 2008-09-10 17:52:11 EDT
Hi Daniel -

e.35custom is a _very_ old kernel, and not one that we can support at this point.  As I said in comment 1, there have been a number of vm patches, several specifically for kswapd since e.35.  Please give e.72 a try.  If the problem occurs there, please collect the sysrq info and post it here.
Comment 8 Jiri Pallich 2012-06-20 12:05:20 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.